Subject: RE: Windows Serial Ports
From: [email-masked] (Sven Dietrich)

12 Apr 1998 02:39:35 -0700
Message-ID: <[email-masked]>
To: Geoffrey Noer <[email-masked]>, Frank Baumgart
	 <[email-masked]>
Cc: [email-masked]

Hi guys,

this one caught my attention. I ran into the same problems
when porting NTP version 4... Select works fine if using only
sockets, but if you throw a serial port into FD_SET, select just
keeps returning, and the load goes thru the roof...

I haven't had the time to haggle with this further, but will at some
point, unless someone else gets there first.

Keep me posted.
Sven

T

/*
 * Sven-Thorsten Dietrich
 * Software Component & Timing Solutions 
 * Trimble Navigation, Ltd.     
 * 
 * 645 North Mary Ave.    (408) 481-7289 (Voice)                  
 * Sunnyvale, CA 94088    (408) 481-2011 (Fax)
 */

> ----------
> From: 	Frank Baumgart[SMTP:[email-masked]]
> Sent: 	Friday, April 10, 1998 9:17 AM
> To: 	Geoffrey Noer
> Cc: 	[email-masked]
> Subject: 	Re: Windows Serial Ports
> 
> Geoffrey Noer wrote:
> 
> > > Has anyone tried talking to the serial ports under gnuwin32?
> ...
> 
> > You should be able to just open "comn" where n is a number from 1 to
> 4
> > and then communicate with it normally...
> 
> Well,
> 
> read() does not work (blocks in non-blocking mode)
> select() does not work (returns even if no data is available)
> alarm() does not interrupt within a read() call
> open() does not set non-blocking mode on serial devices
> 
> (see <[email-masked]> also)
> 
> This is not quite what I would call "normally", more like "making
> workarounds difficult to impossible" leaving few choices:
> 
> 1) try further workarounds, hoping that FIONREAD or poll() might work
>    (does not look too promising though)
> 2) use the WIN32 API (d'lng dox right now)
> 3) fix cygwin32 myself. Apart from having neither knowledge nor 
>    experience with the WIN32 API so far, few knowledge about cygwin32,
> 
>    I am not the one who debugs the debugger to develop his
> application.
>    More like the GPLed application programmer who wants to port an 
>    application to Win32 and cares about his "customers" complaints
> 4) complain about it here. Well, maybe it helps or another guy more
>    capable and willing to fix this runs into the same problem ;-)
>    Of course I am willing to assist with detailed bug and trace
> reports.
> 
> Has anybody been successful in porting some kind of getty on serial 
> lines?
> 
> Best regards,
> 
> Frank
> 
> 
> P.S.: I like cygwin32 and have been able to port my own GPLed apps 
> apart from the most important one which depends on a working serial
> communication layer/emulation
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".